Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Interface JcrConfiguration.AuthenticatorDefinition<ReturnType>

Type Parameters:
  `ReturnType` - the type of the configuration component that owns this definition object

All Superinterfaces:
  ModeShapeConfiguration.ChooseClass<AuthenticationProvider,JcrConfiguration.AuthenticatorDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<JcrConfiguration.AuthenticatorDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<JcrConfiguration.AuthenticatorDefinition<ReturnType>>

All Known Implementing Classes:
  JcrConfiguration.AuthenticatorBuilder

Enclosing class:
  JcrConfiguration

    public static interface JcrConfiguration.AuthenticatorDefinition<ReturnType>

extends ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<JcrConfiguration.AuthenticatorDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<JcrConfiguration.AuthenticatorDefinition<ReturnType>>, ModeShapeConfiguration.ChooseClass<AuthenticationProvider,JcrConfiguration.AuthenticatorDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>

Interface used to set up and define a `authentication provider` instance.

Method Summary

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetProperties
`getProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.ChooseClass
`usingClass, usingClass`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.